Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420027 - Cannot add-brick with servers in containers.
Summary: Cannot add-brick with servers in containers.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Ravishankar N
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 15:59 UTC by Joe Julian
Modified: 2019-05-10 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-10 12:45:16 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Joe Julian 2017-02-07 15:59:24 UTC
Description of problem:
When trying to add an arbiter with the 3rd server inside an nspawn container, the add-brick fails because something tries to fuse mount the volume.

Version-Release number of selected component (if applicable):
3.9.1

How reproducible:
always

Steps to Reproduce:
1. Create a replica 2 volume (myvol)
2. Start a docker/nspawn/lxc container and join glusterd to the peer group (we'll call this hostname "fred")
3. gluster volume add-brick myvol replica 3 arbiter 1 fred:/data/brick

Actual results:
Cryptic error message (should also be a bug): volume add-brick: failed: Commit failed on localhost. Please check log file for details.

myvol-add-brick-mount.log
---
[2017-02-07 15:39:01.925609] I [MSGID: 100030] [glusterfsd.c:2455:main] 0-/usr/bin/glusterfs: Started running /usr/bin/glusterfs version 3.9.1 (args: /usr/bin/glusterfs --volfile /tmp/myvol.tcp-fuse.vol --client-pid -6 -l /var/log/glusterfs/myvol-add-brick-mount.log /tmp/mntNgw3Ab)
[2017-02-07 15:39:01.925998] E [mount.c:341:gf_fuse_mount] 0-glusterfs-fuse: cannot open /dev/fuse (No such file or directory)
[2017-02-07 15:39:01.926014] E [MSGID: 101019] [xlator.c:433:xlator_init] 0-fuse: Initialization of volume 'fuse' failed, review your volfile again
---

Expected results:
I expected that all server-side operations were now using libgfapi instead of fuse mounts.

Additional info:

Comment 1 Kaushal 2017-03-08 12:33:55 UTC
This bug is getting closed because GlusterFS-3.9 has reached its end-of-life [1].

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please open a new bug against the newer release.

[1]: https://www.gluster.org/community/release-schedule/

Comment 2 Amar Tumballi 2019-05-10 12:45:16 UTC
We are not working on getting this working in next releases. Will mark it as DEFERRED, and will revisit after couple of releases.

With latest containers, if you are running it in --privilege mode, we see that the mounts work there.


Note You need to log in before you can comment on or make changes to this bug.